services:
  - docker:dind

.init:build:docker:buildx:
  script:
    - $(which sudo) apk add bash curl aws-cli util-linux
    - ln -s $(which aws) /bin/aws-cli || true
    - curl -fsSL https://gitlab.com/sudo88com/devops/shared/ci-template/raw/main/docker-buildx-ecr-public/docker_buildx_ecr_public.sh | bash -s -- check_build_docker_buildx

.test:build:docker:buildx:
  script:
    - !reference [.init:build:docker:buildx, script]
    - curl -fsSL https://gitlab.com/sudo88com/devops/shared/ci-template/raw/main/docker-buildx-ecr-public/docker_buildx_ecr_public.sh | bash -s -- test_build_docker_buildx

.build:release:docker:buildx:
  script:
    - !reference [.init:build:docker:buildx, script]
    - curl -fsSL https://gitlab.com/sudo88com/devops/shared/ci-template/raw/main/docker-buildx-ecr-public/docker_buildx_ecr_public.sh | bash -s -- build_release_docker_buildx

.build:stable:docker:buildx:
  script:
    - !reference [.init:build:docker:buildx, script]
    - curl -fsSL https://gitlab.com/sudo88com/devops/shared/ci-template/raw/main/docker-buildx-ecr-public/docker_buildx_ecr_public.sh | bash -s -- build_stable_docker_buildx
